net.sourceforge.pmd.renderers

## Class IDEAJRenderer

- java.lang.Object
- - net.sourceforge.pmd.AbstractPropertySource
  - - net.sourceforge.pmd.renderers.AbstractRenderer
    - - net.sourceforge.pmd.renderers.AbstractIncrementingRenderer
      - - net.sourceforge.pmd.renderers.IDEAJRenderer

- All Implemented Interfaces:
    PropertySource, Renderer

      public class IDEAJRenderer
      extends AbstractIncrementingRenderer

  Renderer for IntelliJ IDEA integration.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StringProperty` | `CLASS_AND_METHOD_NAME`
    `static StringProperty` | `FILE_NAME`
    `static String` | `NAME`
    `static StringProperty` | `SOURCE_PATH`

    - ### Fields inherited from class net.sourceforge.pmd.renderers.AbstractIncrementingRenderer

      `errors, suppressed`

    - ### Fields inherited from class net.sourceforge.pmd.renderers.AbstractRenderer

      `description, name, propertyDefinitions, showSuppressedViolations, writer`

    - ### Fields inherited from class net.sourceforge.pmd.AbstractPropertySource

      `propertyDescriptors, propertyValuesByDescriptor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IDEAJRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `defaultFileExtension()` Return the default filename extension to use.
    `void` | `renderFileViolations(Iterator<RuleViolation> violations)` Render a series of `RuleViolation`s.

    - ### Methods inherited from class net.sourceforge.pmd.renderers.AbstractIncrementingRenderer

      `end, renderFileReport, start, startFileAnalysis`

    - ### Methods inherited from class net.sourceforge.pmd.renderers.AbstractRenderer

      `defineProperty, flush, getDescription, getName, getPropertyDefinitions, getWriter, isShowSuppressedViolations, setDescription, setName, setShowSuppressedViolations, setWriter`

    - ### Methods inherited from class net.sourceforge.pmd.AbstractPropertySource

      `copyPropertyDescriptors, copyPropertyValues, definePropertyDescriptor, dysfunctionReason, getPropertiesByPropertyDescriptor, getProperty, getPropertyDescriptor, getPropertyDescriptors, hasDescriptor, ignoredProperties, setProperty, useDefaultValueFor, usesDefaultValues`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sourceforge.pmd.PropertySource

      `definePropertyDescriptor, dysfunctionReason, getPropertiesByPropertyDescriptor, getProperty, getPropertyDescriptor, getPropertyDescriptors, hasDescriptor, ignoredProperties, setProperty, useDefaultValueFor, usesDefaultValues`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### FILE_NAME

          public static final StringProperty FILE_NAME

    - #### SOURCE_PATH

          public static final StringProperty SOURCE_PATH

    - #### CLASS_AND_METHOD_NAME

          public static final StringProperty CLASS_AND_METHOD_NAME

  - ### Constructor Detail

    - #### IDEAJRenderer

          public IDEAJRenderer()

  - ### Method Detail

    - #### defaultFileExtension

          public String defaultFileExtension()

      Description copied from interface: `Renderer`
      Return the default filename extension to use.
      Returns:
        String

    - #### renderFileViolations

          public void renderFileViolations(Iterator<RuleViolation> violations)
                                    throws IOException

      Render a series of `RuleViolation`s.
      Specified by:
        `renderFileViolations` in class `AbstractIncrementingRenderer`
      Parameters:
        `violations` - The iterator of violations to render.
      Throws:
        `IOException`

Copyright © 2002-2013 InfoEther. All Rights Reserved.